### Enumeration

# Xdp OpenUriFlags

unstable since: 1.0

#### Declaration

    flags Xdp.OpenUriFlags

#### Description [src]

Options for opening uris.

Available since: 1.0

#### Members

`XDP_OPEN_URI_FLAG_NONE`

  No options.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`XDP_OPEN_URI_FLAG_ASK`

  Use an application chooser for the given uri.

  - Value: `1`
  - Nickname: `ask`
  - Available since: 1.0
`XDP_OPEN_URI_FLAG_WRITABLE`

  Allow writing to file (if uri points to a local file that is exported in the document portal and app is sandboxed itself)

  - Value: `2`
  - Nickname: `writable`
  - Available since: 1.0